Option Strict Off
Option Explicit On
Module CMQBB
	'**********************************************************************'
	'*                                                                    *'
	'*                  IBM MQSeries for Windows NT and Windows 2000      *'
	'*                                                                    *'
	'*  MODULE NAME:    CMQBB                                             *'
	'*                                                                    *'
	'*  DESCRIPTION:    Declarations for MQ Administration Interface      *'
	'*                                                                    *'
	'**********************************************************************'
	'*  @START_COPYRIGHT@                                                 *'
	'*  Licensed Materials - Property of IBM                              *'
	'*                                                                    *'
	'*  0784726, 5639-B43  MQSeries for Windows NT and Windows 2000       *'
	'*                                                                    *'
	'*  (C) Copyright IBM Corporation 1994, 2000.                         *'
	'*                                                                    *'
	'*  Status: Version 5 Release 2                                       *'
	'*  @END_COPYRIGHT@                                                   *'
	'**********************************************************************'
	'*                                                                    *'
	'*  FUNCTION:       This file declares the functions and named        *'
	'*                  constants for the MQ administration interface     *'
	'*                  (MQAI).                                           *'
	'*                                                                    *'
	'*  PROCESSOR:      BASIC                                             *'
	'*                                                                    *'
	'**********************************************************************'
	
	'Options for mqCreateBag'
	Public Const MQCBO_NONE As Short = 0
	Public Const MQCBO_USER_BAG As Short = 0
	Public Const MQCBO_ADMIN_BAG As Short = 1
	Public Const MQCBO_LIST_FORM_ALLOWED As Short = 2
	Public Const MQCBO_LIST_FORM_INHIBITED As Short = 0
	Public Const MQCBO_REORDER_AS_REQUIRED As Short = 4
	Public Const MQCBO_DO_NOT_REORDER As Short = 0
	Public Const MQCBO_CHECK_SELECTORS As Short = 8
	Public Const MQCBO_DO_NOT_CHECK_SELECTORS As Short = 0
	Public Const MQCBO_COMMAND_BAG As Short = 16
	Public Const MQCBO_SYSTEM_BAG As Short = 32
	
	'Buffer Length for mqAddString and mqSetString'
	Public Const MQBL_NULL_TERMINATED As Short = -1
	
	'Item Type for mqInquireItemInfo'
	Public Const MQIT_INTEGER As Short = 1
	Public Const MQIT_STRING As Short = 2
	Public Const MQIT_BAG As Short = 3
	
	'Handle Selectors'
	Public Const MQHA_FIRST As Short = 4001
	Public Const MQHA_BAG_HANDLE As Short = 4001
	Public Const MQHA_LAST_USED As Short = 4001
	Public Const MQHA_LAST As Short = 6000
	
	'Limits for selectors for object attributes'
	Public Const MQOA_FIRST As Short = 1
	Public Const MQOA_LAST As Short = 6000
	
	'Integer system selectors'
	Public Const MQIASY_FIRST As Short = -1
	Public Const MQIASY_CODED_CHAR_SET_ID As Short = -1
	Public Const MQIASY_TYPE As Short = -2
	Public Const MQIASY_COMMAND As Short = -3
	Public Const MQIASY_MSG_SEQ_NUMBER As Short = -4
	Public Const MQIASY_CONTROL As Short = -5
	Public Const MQIASY_COMP_CODE As Short = -6
	Public Const MQIASY_REASON As Short = -7
	Public Const MQIASY_BAG_OPTIONS As Short = -8
	Public Const MQIASY_LAST_USED As Short = -8
	Public Const MQIASY_LAST As Short = -2000
	
	'Special selector values'
	Public Const MQSEL_ANY_SELECTOR As Short = -30001
	Public Const MQSEL_ANY_USER_SELECTOR As Short = -30002
	Public Const MQSEL_ANY_SYSTEM_SELECTOR As Short = -30003
	Public Const MQSEL_ALL_SELECTORS As Short = -30001
	Public Const MQSEL_ALL_USER_SELECTORS As Short = -30002
	Public Const MQSEL_ALL_SYSTEM_SELECTORS As Short = -30003
	
	'Special index values'
	Public Const MQIND_NONE As Short = -1
	Public Const MQIND_ALL As Short = -2
	
	'Bag handles'
	Public Const MQHB_UNUSABLE_HBAG As Short = -1
	Public Const MQHB_NONE As Short = -2
	
	'Queue handles'
    'Public Const MQHO_NONE As Short = 0
	
	
	'**********************************************************************'
	'*  Function Declarations for MQ Server Application                   *'
	'**********************************************************************'
	
#If MqType = 1 Then 'MQ server'
	'Name of dynamic link library'
	Public Const MQVBDLL As String = "MQM.DLL"
	
	'MQAI functions'
	Declare Sub mqAddInquiry Lib "MQM.DLL"  Alias "mqAddInquirystd@16"(ByVal Bag As Integer, ByVal Selector As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqAddInteger Lib "MQM.DLL"  Alias "mqAddIntegerstd@20"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal ItemValue As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqAddString Lib "MQM.DLL"  Alias "mqAddStringstd@24"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal BufferLength As Integer, ByVal Buffer As String, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqBagToBuffer Lib "MQM.DLL"  Alias "mqBagToBufferstd@28"(ByVal OptionsBag As Integer, ByVal DataBag As Integer, ByVal BufferLength As Integer, ByVal Buffer As String, ByRef DataLength As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqBufferToBag Lib "MQM.DLL"  Alias "mqBufferToBagstd@24"(ByVal OptionsBag As Integer, ByVal BufferLength As Integer, ByVal Buffer As String, ByVal DataBag As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqClearBag Lib "MQM.DLL"  Alias "mqClearBagstd@12"(ByVal Bag As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqCountItems Lib "MQM.DLL"  Alias "mqCountItemsstd@20"(ByVal Bag As Integer, ByVal Selector As Integer, ByRef ItemCount As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqCreateBag Lib "MQM.DLL"  Alias "mqCreateBagstd@16"(ByVal Options As Integer, ByRef Bag As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqDeleteBag Lib "MQM.DLL"  Alias "mqDeleteBagstd@12"(ByRef Bag As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqDeleteItem Lib "MQM.DLL"  Alias "mqDeleteItemstd@20"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal ItemIndex As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	'UPGRADE_NOTE: Command was upgraded to Command_Renamed. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1061"'
	Declare Sub mqExecute Lib "MQM.DLL"  Alias "mqExecutestd@36"(ByVal Hconn As Integer, ByVal Command_Renamed As Integer, ByVal OptionsBag As Integer, ByVal CommandBag As Integer, ByVal ResponseBag As Integer, ByVal CommandQ As Integer, ByVal ResponseQ As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	'UPGRADE_WARNING: Structure MQGMO may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1050"'
	'UPGRADE_WARNING: Structure MQMD may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1050"'
	Declare Sub mqGetBag Lib "MQM.DLL"  Alias "mqGetBagstd@28"(ByVal Hconn As Integer, ByVal Hobj As Integer, ByRef MsgDesc As MQMD, ByRef GetMsgOpts As MQGMO, ByVal Bag As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqInquireBag Lib "MQM.DLL"  Alias "mqInquireBagstd@24"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal ItemIndex As Integer, ByRef ItemValue As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqInquireInteger Lib "MQM.DLL"  Alias "mqInquireIntegerstd@24"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal ItemIndex As Integer, ByRef ItemValue As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqInquireItemInfo Lib "MQM.DLL"  Alias "mqInquireItemInfostd@28"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal ItemIndex As Integer, ByRef OutSelector As Integer, ByRef ItemType As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqInquireString Lib "MQM.DLL"  Alias "mqInquireStringstd@36"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal ItemIndex As Integer, ByVal BufferLength As Integer, ByVal Buffer As String, ByRef StringLength As Integer, ByRef CodedCharSetId As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	'UPGRADE_WARNING: Structure MQPMO may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1050"'
	'UPGRADE_WARNING: Structure MQMD may require marshalling attributes to be passed as an argument in this Declare statement. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1050"'
	Declare Sub mqPutBag Lib "MQM.DLL"  Alias "mqPutBagstd@28"(ByVal Hconn As Integer, ByVal Hobj As Integer, ByRef MsgDesc As MQMD, ByRef PutMsgOpts As MQPMO, ByVal Bag As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqSetInteger Lib "MQM.DLL"  Alias "mqSetIntegerstd@24"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal ItemIndex As Integer, ByVal ItemValue As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqSetString Lib "MQM.DLL"  Alias "mqSetStringstd@28"(ByVal Bag As Integer, ByVal Selector As Integer, ByVal ItemIndex As Integer, ByVal BufferLength As Integer, ByRef Buffer As String, ByRef CompCode As Integer, ByRef Reason As Integer)
	Declare Sub mqTruncateBag Lib "MQM.DLL"  Alias "mqTruncateBagstd@16"(ByVal Bag As Integer, ByVal ItemCount As Integer, ByRef CompCode As Integer, ByRef Reason As Integer)
	
	
	'**********************************************************************'
	'*  Function Declarations for MQ Client Application                   *'
	'**********************************************************************'
	
#ElseIf MqType = 2 Then 'MQ client'
	'UPGRADE_NOTE: #If #EndIf block was not upgraded because the expression MqType = 2 did not evaluate to True or was not evaluated. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1035"'
	'Name of dynamic link library'
	Global Const MQVBDLL = "MQIC32.DLL"
	
	'MQAI functions'
	Declare Sub mqAddInquiry Lib "MQIC32.DLL" Alias "mqAddInquirystd@16" (ByVal Bag As Long, ByVal Selector As Long, CompCode As Long, Reason As Long)
	Declare Sub mqAddInteger Lib "MQIC32.DLL" Alias "mqAddIntegerstd@20" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemValue As Long, CompCode As Long, Reason As Long)
	Declare Sub mqAddString Lib "MQIC32.DLL" Alias "mqAddStringstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal BufferLength As Long, ByVal Buffer As String, CompCode As Long, Reason As Long)
	Declare Sub mqBagToBuffer Lib "MQIC32.DLL" Alias "mqBagToBufferstd@28" (ByVal OptionsBag As Long, ByVal DataBag As Long, ByVal BufferLength As Long, ByVal Buffer As String, DataLength As Long, CompCode As Long, Reason As Long)
	Declare Sub mqBufferToBag Lib "MQIC32.DLL" Alias "mqBufferToBagstd@24" (ByVal OptionsBag As Long, ByVal BufferLength As Long, ByVal Buffer As String, ByVal DataBag As Long, CompCode As Long, Reason As Long)
	Declare Sub mqClearBag Lib "MQIC32.DLL" Alias "mqClearBagstd@12" (ByVal Bag As Long, CompCode As Long, Reason As Long)
	Declare Sub mqCountItems Lib "MQIC32.DLL" Alias "mqCountItemsstd@20" (ByVal Bag As Long, ByVal Selector As Long, ItemCount As Long, CompCode As Long, Reason As Long)
	Declare Sub mqCreateBag Lib "MQIC32.DLL" Alias "mqCreateBagstd@16" (ByVal Options As Long, Bag As Long, CompCode As Long, Reason As Long)
	Declare Sub mqDeleteBag Lib "MQIC32.DLL" Alias "mqDeleteBagstd@12" (Bag As Long, CompCode As Long, Reason As Long)
	Declare Sub mqDeleteItem Lib "MQIC32.DLL" Alias "mqDeleteItemstd@20" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, CompCode As Long, Reason As Long)
	Declare Sub mqExecute Lib "MQIC32.DLL" Alias "mqExecutestd@36" (ByVal Hconn As Long, ByVal Command As Long, ByVal OptionsBag As Long, ByVal CommandBag As Long, ByVal ResponseBag As Long, ByVal CommandQ As Long, ByVal ResponseQ As Long, CompCode As Long, Reason As Long)
	Declare Sub mqGetBag Lib "MQIC32.DLL" Alias "mqGetBagstd@28" (ByVal Hconn As Long, ByVal Hobj As Long, MsgDesc As MQMD, GetMsgOpts As MQGMO, ByVal Bag As Long, CompCode As Long, Reason As Long)
	Declare Sub mqInquireBag Lib "MQIC32.DLL" Alias "mqInquireBagstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ItemValue As Long, CompCode As Long, Reason As Long)
	Declare Sub mqInquireInteger Lib "MQIC32.DLL" Alias "mqInquireIntegerstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ItemValue As Long, CompCode As Long, Reason As Long)
	Declare Sub mqInquireItemInfo Lib "MQIC32.DLL" Alias "mqInquireItemInfostd@28" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, OutSelector As Long, ItemType As Long, CompCode As Long, Reason As Long)
	Declare Sub mqInquireString Lib "MQIC32.DLL" Alias "mqInquireStringstd@36" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal BufferLength As Long, ByVal Buffer As String, StringLength As Long, CodedCharSetId As Long, CompCode As Long, Reason As Long)
	Declare Sub mqPutBag Lib "MQIC32.DLL" Alias "mqPutBagstd@28" (ByVal Hconn As Long, ByVal Hobj As Long, MsgDesc As MQMD, PutMsgOpts As MQPMO, ByVal Bag As Long, CompCode As Long, Reason As Long)
	Declare Sub mqSetInteger Lib "MQIC32.DLL" Alias "mqSetIntegerstd@24" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal ItemValue As Long, CompCode As Long, Reason As Long)
	Declare Sub mqSetString Lib "MQIC32.DLL" Alias "mqSetStringstd@28" (ByVal Bag As Long, ByVal Selector As Long, ByVal ItemIndex As Long, ByVal BufferLength As Long, Buffer As String, CompCode As Long, Reason As Long)
	Declare Sub mqTruncateBag Lib "MQIC32.DLL" Alias "mqTruncateBagstd@16" (ByVal Bag As Long, ByVal ItemCount As Long, CompCode As Long, Reason As Long)
#End If
	
	
	'**********************************************************************'
	'*  End of CMQBB                                                      *'
	'**********************************************************************'


End Module